# Installation:

[How to install](https://aec4d.gitbook.io/docs/how-to-install)



## !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
## If you're using R17-R22 copy the **'AEC4D-PRO'** inside the **'R17+'** folder.
## If you're running any later version copy the **'AEC4D-PRO'** folder from **'R23+'**
## !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!



###### windows: C:/Program files/MAXON/CINEMA 4D RXX/plugins/
Just navigate to your Cinema 4D folder and drop it right in the plugins folder. Remember that if you already have C4D open that you’ll have to restart before it gets loaded.

###### macOS: /Applications/MAXON/CINEMA 4D RXX/plugins/
If you’re on a Mac just go to /Applications/Maxon/Cinema 4D RXX/plugins/ and then drop the AEC4D-PRO folder right in there. A quick way to navigate there is to just right click on the C4D icon in your dashboard and click Options > Show in Finder – It will bring you right to the Cinema 4D folder.

[Read Documentation](https://aec4d.gitbook.io/docs/aec4d-pro/whats-new)

# Trial-Limitation:
- Export max. 15 Frames
- Bake Mograph disabled
- Export Current Frame disabled
- Importing of Footage and Stills is disabled

# Changelog:
## v1.15 (Current Version)
- [ Fixed ] All Unicodes + Quotes in Name for Text, Objects and Markers
- [ Fixed ] Horizontal Spacing for Text-Objects: Integers between -1000 & 1000
- [ Fixed ] Handling of Stage-Objects

#### v1.14
- [ Fixed ] Another issue with RSCameras & compatibility with older versions. This get's old. ;)

#### v1.13
- [ Fixed ] Issue with RSCameras Focus Distance (Thanks, Chris!)

#### v1.12
- [ Fixed ] Support for new Redshift Cameras

#### v1.11
- [ Fixed ] UI Issues for Footage-Import

#### v1.10
- [ Added ] Project Scale Multiplier
- [ Added ] Support for RS Lights - Toggle/Add via Compositing-Tag

#### v1.09 
- [ Fixed ] Problem with color from "Display Color/Layers" (#1080956)

#### v1.08
- [ Fixed ] Support for Unicode and non-US-ASCII characters
- [ Fixed ] Multilines in Text-Objects

#### v1.07
- Fixed quotes in pyseq.py

#### v1.06
- Restructured Plugin
- Optimized for R23 (Python 3)
- Fixed small GUI glitches.

#### v1.05
- Fixed Camera In- and Outpoints with Stage-Object if ProjectTime isn't 0. Thanks to Michael Wood for the examples and the patience. :)

#### v1.04
- Optimized License-Settings for macOS 10.15 'Catalina'

#### v1.03
- External Compositing-Tag on Lights crashes C4D. (Thanks, Lars Jandel)
- Fixed import issues with special Characters. (Thanks, Ben Fallin)

#### v1.02
- Null-Handles are now visible in Composition
- Limit Width / Height of Composition and round to Integers

#### v1.01
- Fixed an issue when running in Trial-Mode
- Fixed an issue with "Check for update now"
- Support for (../) relative Renderpath
- Fixed a nasty "focusDistance" bug (Thanks, Pascal Fuerst)

#### v1.00
- Initial Release


##### Reading of Sequences based on "PySeq"
[https://github.com/rsgalloway/pyseq](https://github.com/rsgalloway/pyseq)

Copyright (c) 2010-2015, Ryan Galloway (http://rsgalloway.com)

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the author nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
